#
# spec file for package python-backports.shutil_which
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if %{python3_version_nodots} >= 33
%define skip_python3 1
%endif
Name:           python-backports.shutil_which
Version:        3.5.2
Release:        lp152.2.2
Summary:        Backport of shutil.which
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/minrk/backports.shutil_which
Source:         https://files.pythonhosted.org/packages/source/b/backports.shutil_which/backports.shutil_which-%{version}.tar.gz
# NOTE:
# %%{python_sitelib}/backports is a namespace package, and so under python 2 it must have a proper namespace __init__.py
# python-backports provides this __init__.py to prevent backports packages from conflicting.
# Please see:
#    https://pypi.python.org/pypi/backports/
#    https://www.python.org/dev/peps/pep-0420/%23namespace-packages-today
# If you need to link, the python-backports package is built as a subpackage of python-configparser
BuildRequires:  %{python_module backports}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-backports
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Use Python 3 shutil.which on Python 2.

%prep
%setup -q -n backports.shutil_which-%{version}

%build
%python_build

%install
%python_install
%python_expand rm %{buildroot}%{$python_sitelib}/backports/__init__.py*
%python_expand rm -rf %{buildroot}%{$python_sitelib}/backports/__pycache__/__init__*.py*
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand ln -s %{$python_sitelib}/backports/__init__.py %{buildroot}%{$python_sitelib}/backports/
PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v
rm -r %{buildroot}%{$python_sitelib}/backports/__init__.py*
rm -rf %{buildroot}%{$python_sitelib}/backports/__pycache__/
}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/backports.shutil_which-*-py*.egg-info
%{python_sitelib}/backports/shutil_which.py*
%pycache_only %dir %{python_sitelib}/backports/__pycache__/
%pycache_only %{python_sitelib}/backports/__pycache__/shutil_which*.py*

%changelog
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.5.2:
  * Declare absolute_import to avoid importing backports.os instead
    of os
- Run tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Sat Apr 21 2018 toddrme2178@gmail.com
- Initial version
